> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent session

> Get the details of an agent session by ID



## OpenAPI

````yaml /openapi.yaml get /org/{org_id}/agent-sessions/{session_id}
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/agent-sessions/{session_id}:
    get:
      tags:
        - Agent Sessions
      summary: Get agent session
      description: Get the details of an agent session by ID
      operationId: getAgentSession
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Session ID
          in: path
          name: session_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/agent-sessions.SessionResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    agent-sessions.SessionResponse:
      properties:
        id:
          type: string
        organization_id:
          type: string
        root_agent_id:
          type: string
        prospect_id:
          type: string
        workflow_run_id:
          type: string
        call_id:
          type: string
        case_id:
          description: Auto-generated 6-character alphanumeric case identifier.
          type: string
        title:
          type: string
        channel:
          type: string
        entrypoint:
          type: string
        status:
          type: string
        agent_binding:
          additionalProperties: true
          type: object
        bootstrap:
          additionalProperties: true
          type: object
        external_refs:
          additionalProperties: true
          type: object
        metadata:
          additionalProperties: true
          type: object
        last_event_sequence:
          format: int64
          type: integer
        last_journal_sequence:
          format: int64
          type: integer
        last_handle_version:
          format: int64
          type: integer
        last_event_at:
          type: string
        last_activity_at:
          type: string
        started_at:
          type: string
        ended_at:
          type: string
        created_by:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````